Skip to content

Retrieve A Specific Group

Request

Retrieve a specific group from your account, including a list of all users in that group.

Security
apiKey
Path
idstringrequired
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/groups/{id}.xml
curl -i -X GET \
  'https://api.vworkapp.com/v5/groups/{id}.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Tue, 14 Jun 2016 01:13:57 GMT"
ETagstring
Example:"W/\"1a6e72ab2cb185a59c99db7d7b167273\""
Locationstring
Example:"https://api.vworkapp.com/api/v4/groups/2488"
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"ebef613a-a497-441f-bf4a-16222c9e09c5"
X-Runtimestring
Example:"0.091064"
X-Unique-IDstring
Example:"CA7C7B8A:D0B8_0A001312:01BB_575F5A0A_A39E07:1EC7"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<group>
    <id>1849</id>
    <name>Service Vehicles</name>
    <description>All mobile workers capable of handling business hours service call outs.</description>
    <user_ids>34123</user_ids>
    <created_at>2015-07-09T03:51:43+00:00</created_at>
    <updated_at>2015-07-09T03:51:43+00:00</updated_at>
</group>